name: lint

on:
  push:
    branches:
    - 'master'
jobs:
  docker:
    runs-on: ubuntu-latest
    steps:
    - uses: actions/checkout@v3
      with:
        fetch-depth: 0
    - name: Install Python
      uses: actions/setup-python@v4
      with:
        python-version: '3.12'
        cache: 'pip' # caching pip dependencies
    - run: pip install ruff
    - run: | 
        ruff check .
        ruff fix .
    # - uses: stefanzweifel/git-auto-commit-action@v4
    #   with:
    #     commit_message: 'style fixes by ruff'
